Vraag & Antwoord

OS Linux

[Slackware Current + CUPS] Verkeerde kleuren

22 antwoorden
  • Beste mensen, ik heb mijn Epson Stylus Photo 810, USB connected, via KDE 3.1RC5 printmanager onder CUPS aan het draaien gekregen. Het werkt prima, alleen zijn de kleuren niet goed. Rode dingen worden geel en alles wordt door elkaar gegooid. Nu kan ik het inktype op 5 verschillende dingen zetten en dat geeft telkens een andere kleur maar niet de goede. Ook kan ik magenta, geel en verzadiging ed instellen. Hoe krijg ik het goed?
  • niemand? Onder SuSE werkte het altijd prima met LPRNG en de stp drive maar dat krijg ik nu niet geïnstaleerd. LPRNG is wel geïnstalleerd en aps ook maar ik kan geen nieuwe printer toevoegen met dat spooling system.
  • Bij mij in Slackware 8.1 kernel 2.4.20 zijn de kleuren met mijn hp psc 750 wel in orde. Omdat mijn USB printer niet in het lijstje staat, heb ik geselecteerd de HP Deskjet 890C CUPS+GIMP-print v4.21 Heb je dit probleem alleen in Print Manager, of ook als je in init 3 met command [code:1:15a8180959] /usr/share/apsfilter/SETUP [/code:1:15a8180959] je printer configureerd en Testpage v 0.3 print. :roll:
  • Het is gewoon het prob wat ik eerst ook met cups had, hij ziet de USB niet.
  • Hoe bedoel je? De printer werd bij jouw toch al goed herkent door dmesg. :roll: Heb je die SuSE 8.1 nog ergens geinstalleerd staan. Print die de kleuren goed met cups? Omdat ik behalve kernel 2.4.20 ook nog kernel 2.4.19 had geinstalleerd, heb ik die Testpage v 0.3 van die apsfilter daar ook mee getest. Deze test was OK. Heb je printen met Mozilla al getest. Print dan eens deze [url=http://images.google.com/images?q=tbn:K0Ar7xpOYGQC:www.learningsites.com/Support_pages/Support_graphics/RGBColors.JPG]link[/url] Bij mij print de printer in Slackware 8.1 wel iets te donker, maar wel de goede kleuren.
  • Hij print nu dus helemaal niet meer na die apsconfig. Hoe sodemieter ik alles wat met aps en LPRNG te maken heeft weg? Ik wil gewoon CUPS, volgens gimp-print is mijn printer prima supported. SuSE 8.0 moet ik ff opgraven want die wil niet meer starten :) Alleen CUPS ziet de printer op de USB, LPRNG ziet hem zowel op parralel als USB niet.
  • Mozilla print werkt niet en als ik hem via CUPS print adn is Red en Yellow dezelfde kleur geel en is green donkergroen en blue en cyan zijn hetzelfde en magenta is wit :-?
  • LPRNG en apsfilter kun je verwijderen via System > KPackage (Package Manager) Hier is ook nog een [url=http://www.linuxquestions.org/questions/history/36988]discussie over printen met Mozilla.[/url] Bij mij staat in Mozilla > Print > Properties > Print Command: [code:1:e5861342a2] lpr ${MOZ_PRINTER_NAME:+'-P'}${MOZ_PRINTER_NAME} [/code:1:e5861342a2] :wink:
  • Stond er bij mij ook, maar dat werkte dus niet. Nu staat er [code:1:c892422b29]kprinter --stdin[/code:1:c892422b29] ;) Ik heb de packages via pkgtool weggemikt en ben aan het klooten gegaan met de settings. Onder andere door magenta omlaag te zetten begint eht colorwheel van de CUPS test er al heel wat beter uit te zien al zal het nog aardig wat blaadjes gaan kosten voor het echt goed is. Raar trouwens dat ik de enige schijn te zijn met dit probleem, op inet is er echt niets over te vinden.
  • Ik heb nu dus ook die [code:1:7cd27f662f] kprint --stdin [/code:1:7cd27f662f] geprobeerd als Print Command. Als ik nu vanuit Mozilla een print opdracht geef, verschijnt kprinter. Voor het print resultaat maakt 't bij mij niets uit. Nog steeds iets te donker. SuSE 8.1 print 'm wat lichter in kleur en is gelijkwaardig aan het print resultaat van IE6 in Windows XP. :) Heb je deze info over [url=http://groups.google.com/groups?q=slackware+current&hl=nl&lr=&ie=UTF-8&oe=UTF-8&selm=20030123161507.GA4080%40sparkie.is.traumatized.org&rnum=5]Slackware Current[/url] al gelezen? Ik ben nu met het downloaden van die slackware-current-20030123.iso begonnen. 513MB 23-1-2003 :roll: Update: Slackware Current download is voltooid en gebrand op cd. :)
  • Ik hoop voor je dat deze wel werkt. Ik had eerst de 03-01 van dit jaar maar daar zit een andere GCC bij dan waarmee de kernel is gecompiled en dat levert probs. Heb nu 10-11-2002 weer draaien, wacht ff tot nu de current komt met KDE3.1 stable en dan switchen we weer :)
  • [quote:041a1995ac="Marcel de Reus"]Ik hoop voor je dat deze wel werkt. Ik had eerst de 03-01 van dit jaar maar daar zit een andere GCC bij dan waarmee de kernel is gecompiled en dat levert probs. [/quote:041a1995ac]Deze ook want: [code:1:041a1995ac] NVIDIA_kernel-1.0-4191 # make You appear to be compiling the NVIDIA kernel module with a compiler different from the one that was used to compile the running kernel. This may be perfectly fine, but there are cases where this can lead to unexpected behaviour and system crashes. If you know what you are doing and want to override this check, you can do so by setting IGNORE_CC_MISMATCH. *** Failed cc sanity check. Bailing out! *** make: *** [gcc-check] Error 1 root@linux:/usr/src/NVIDIA_kernel-1.0-4191# [/code:1:041a1995ac] Ik heb kernel 2.4.20 geinstalleerd en gecompiled, daarna kon ik wel de NVIDIA_kernel-1.0-4191 en de NVIDIA_GLX-1.0-4191 installeren met make. Windowmaker is nu default, KDE en Gnome zaten er idd niet in, maar daar ga ik morgen mee verder. :roll:
  • Idd, dat had ik dus ook met de nVidia drivers en aangezien ik geen zin had om zelf een kernel te compilen.... ;) Ik zou ff wachten met KDE, de KDE3.1 stable packages komen eraan. Ik had twm als default, ook leuk.
  • Ik heb die apsfilter in Slackware Current getest: /usr/share/apsfilter/.SETUP Ofschoon mijn psc 750 ook nu niet in het printerlijstje staat en dus Deskjet 970 selecteer wordt de Testpage gewoon geprint. Jouw printer staat in de printerlijst van apsfilter en zou moeten werken. :roll: Printen met Mozilla in Slackware Current kan hier ook (nog) niet. Ik heb de KDE 3.1 source gedownload, maar heb nog niets kunnen compileren, want [url=http://www.trolltech.com/developer/download/qt-x11.html]Qt/X11[/url] was niet geinstalleerd. Update: Bij nader inzien is toch de qt-3.1.1 van de [url=ftp://ftp.kpn.be/pub/linux/slackware/slackware-current/extra/kde-3.1rc5/qt-3.1.1-i386-1.tgz]Slackware ftp[/url] beter. Ik heb deze geinstalleerd. Arts-1.1, Cups-1.1.18 en Kdelibs-3.1 zijn gecompileerd en geinstalleerd. Het compileren gaat langzaam. Het kan nog wel even duren, voordat ik kan testen of in kde kan printen in de juiste kleuren. 8)
  • Marcel, nu ik KDE-3.1 heb geinstalleerd, heb ik net zoals bij jouw, een hekje gezet voor usb-uhci in /etc/hotplug/blacklist daaronder heb ik getypt: uhci [code:1:c3665d27ad] # uhci ... usb-uhci handles the same pci class # usb-uhci uhci [/code:1:c3665d27ad] Ik heb in Control Center > Peripherals > Printers > mijn PSC 750 geinstalleerd. Deze keer als HP Deskjet 900 series. Bij mij worden de kleuren in Slackware Current zo te zien goed geprint. Ook vanuit Mozilla kan weer geprint worden. :)
  • Hmm, misschien een bugje dus in KDE3.1RC5 Ik ga het over 3 weken ff testen, dan heb ik vakantie.
  • Hm, toen ik gisteren die Test Page had geprint, had ik alleen arts, kdelibs en kdebase-3.1 gecompileert/geinstalleerd. Maar nu ik de rest van kde-3.1 (behalve kde-i18n-3.1 en kdebindings-3.1) gecompileerd/geinstalleerd heb, print Slackware Current kde-3.1 niet meer. :( Als ik vanuit kde Printing Manager de Test Page probeer te printen verschijnen er twee tegenstrijdige meldingen (Zowel als user en als root.) Deze [code:1:58078e1bbd] Test page successfully sent to printer psc750. [/code:1:58078e1bbd] en deze [code:1:58078e1bbd] A print error occured. Error message received from system: cupsdoprint -P 'psc750' -J 'KDE Print Test' -H 'localhost:631' -U 'jolo' -o ' multiple-document-handling=separate-documents-uncollated-copies orientation-requested=3' '/opt/kde/share/apps/kdeprint/testprint.ps' : execution failed with message: server-error-not-accepting-jobs [/code:1:58078e1bbd] :roll:
  • lekker, hier is opeens de kantlijn bij het printen weg :roll:
  • Hm, ik heb hier inmiddels Slackware Current ook geinstalleerd op mijn tweede pc, een Athlon XP 1700+ ook weer met kernel 2.4.20 met daar op kdebase-3.1 Het print resultaat is het zelfde als op die dual Pentium III. Bij mij gebruikt mijn Printer Backend: PSC 700 Series Welke Backend gebruikt jouw printer in Slackware Current. Is dat wel de juiste? Update: Volgens [url=http://www.linuxprinting.org/show_printer.cgi?recnum=Epson-Stylus_Photo_810]deze site[/url] zou jouw Epson Stylus Photo 810 wel goed moeten werken. :roll:
  • Weet ik, ik was al op die site geweest. Ik verwacht dat het gewoon nog een bugje was in RC5, dus ik probeer het van de vakantie gewoon ff met de stable. Ik zei toch al dat ik de enige lijk met dat probleem.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.